version: "3.0"

services:
  librespeed:
    image: lscr.io/linuxserver/librespeed:latest
    container_name: librespeed
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/Samara
      - PASSWORD=PASSW0RD
      - CUSTOM_RESULTS=true 
      - DB_TYPE=sqlite 
      - DB_NAME=lib_speed 
      - DB_HOSTNAME=librespeed 
      - DB_USERNAME=DB_admin 
      - DB_PASSWORD=DB_PAssW0RD 
#      - DB_PORT=DB_PORT #optional
#      - IPINFO_APIKEY=ACCESS_TOKEN #optional
    volumes:
      - /app/librespeed/config:/config
    ports:
      - 8081:80
